org.apache.tinkerpop.gremlin.spark.structure.io.gryo

## Class GryoSerializerInstance

- java.lang.Object
- - SerializerInstance
  - - org.apache.tinkerpop.gremlin.spark.structure.io.gryo.GryoSerializerInstance

-     public final class GryoSerializerInstance
      extends SerializerInstance

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GryoSerializerInstance(GryoSerializer gryoSerializer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> T` | `deserialize(ByteBuffer byteBuffer, <any> classTag)`
    `<T> T` | `deserialize(ByteBuffer byteBuffer, ClassLoader classLoader, <any> classTag)`
    `DeserializationStream` | `deserializeStream(InputStream inputStream)`
    `GryoPool` | `getGryoPool()`
    `<T> ByteBuffer` | `serialize(T t, <any> classTag)`
    `SerializationStream` | `serializeStream(OutputStream outputStream)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GryoSerializerInstance

          public GryoSerializerInstance(GryoSerializer gryoSerializer)

  - ### Method Detail

    - #### serialize

          public <T> ByteBuffer serialize(T t,
                                          <any> classTag)

    - #### deserialize

          public <T> T deserialize(ByteBuffer byteBuffer,
                                   <any> classTag)

    - #### deserialize

          public <T> T deserialize(ByteBuffer byteBuffer,
                                   ClassLoader classLoader,
                                   <any> classTag)

    - #### serializeStream

          public SerializationStream serializeStream(OutputStream outputStream)

    - #### deserializeStream

          public DeserializationStream deserializeStream(InputStream inputStream)

    - #### getGryoPool

          public GryoPool getGryoPool()

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.